# Role: ksm

## Description

Installs a systemd-service for running ksmd (kernel same-page merging daemon).

https://docs.kernel.org/admin-guide/mm/ksm.html

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.ksm
  vars:
    ...
```

### Vars

`ksm_system_dir`:

Path under /sys for ksm.

`ksm_run_file`:

File path for controlling whether ksm is running or not.
